package nc.ws.intf.IWSBIGetNCWYData.Test;

import java.util.ArrayList;
import java.util.Map;

import cn.com.countrygarden.bi.main.util.StringToMapUtil;

public class Test2 {
    public static void main(String[] args) {
    /*	String subbalance = "[{month=1, subject_code=WYZS3010203},{month=2, subject_code=WYZS3010203},{month=3, subject_code=WYZS3010203}]";
    	String newsubbalance = subbalance.substring(1,subbalance.length()-1);
    	String [] strarray = newsubbalance.split("\\},");
    	for(int i=0;i<strarray.length-1;i++){
    		String newstrarray =strarray[i]+"}";
    		System.out.println(newstrarray);
    	}
    	  String arr1[]={"张三","李四"};
    	  System.out.println(arr1.length);
    	  for(int i=0;i<arr1.length;i++){
    		  System.out.println(arr1[i]);
    	  }*/
    	/* ArrayList<String> list=new ArrayList<String>(); 
    	 String codo = "codo";
    	 list.add(codo);
    	 list.add(codo);
    	 String [] bookCodes = new String[list.size()];
    	 list.toArray(bookCodes);
    	 System.out.println(bookCodes.length);*/
    	String a = "{objname=二线工资, jylb_name=常规服务, dept_name=宿舍管理处, org_name=广东碧桂园物业服务股份有限公司池州分公司, ysdate=2017-06-19 08:00:30, tzlx_name=本组织内调整, memo=调减2017年6月计提年终奖, bbje=-226.67, assume_amount=-226.67}}";
    	Map<String,String> map = StringToMapUtil.ToMap(a);
    	String mon= map.get("assume_amount");
    	System.out.println(mon);
    }
}
